Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfCaptionAngleType

    java.lang.Object
      java.lang.Enum<OdfCaptionAngleType>
          org.odftoolkit.odfdom.dom.type.draw.OdfCaptionAngleType

All Implemented Interfaces:
  Serializable, Comparable<OdfCaptionAngleType>

    public enum OdfCaptionAngleType

extends Enum<OdfCaptionAngleType>

DOM implementation of OpenDocument attribute draw:caption-angle-type.

Enum Constant Summary
`FIXED`
`FREE`

Method Summary
`static OdfCaptionAngleType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfCaptionAngleType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfCaptionAngleType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfCaptionAngleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FIXED

    public static final OdfCaptionAngleType FIXED

### FREE

    public static final OdfCaptionAngleType FREE

Method Detail

### values

    public static OdfCaptionAngleType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfCaptionAngleType c : OdfCaptionAngleType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfCaptionAngleType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfCaptionAngleType>`
  Returns:
    return the name of OdfCaptionAngleType

### toString

    public static String toString(OdfCaptionAngleType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfCaptionAngleType, see draw:caption-angle-type
  Returns:
    return the name of OdfCaptionAngleType

### enumValueOf

    public static OdfCaptionAngleType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfCaptionAngleType
  Returns:
    return the constant of OdfCaptionAngleType, see draw:caption-angle-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.